package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.PlatformProductDto;
import com.ym.mec.biz.dal.entity.PlatformProduct;
import com.ym.mec.common.page.PageInfo;

import java.util.List;
import java.util.Map;

public interface PlatformProductService {

    void addProduct(PlatformProductDto obj);

    void updateProduct(PlatformProductDto obj);

    void checkUpdateRole(String menuIds, String sourceMenuIds, Map<Integer, Integer> map);

    Map<Integer, Integer> queryTenantByMultiId(Integer productId, Integer serveId, Integer tenantId);

    PageInfo<PlatformProduct> queryPage(String search, Integer page, Integer rows);

    List<String> queryMenuIdList(Integer serveId);

    void deleteProduct(Integer id);

}
